package ru.yandex.autotests.directapi.apiclient.version5;

public class MethodInvocationResult<T> {
    private final T responseObject;
    private final boolean isJavaResponse;

    public MethodInvocationResult(T responseObject, boolean isJavaResponse) {
        this.responseObject = responseObject;
        this.isJavaResponse = isJavaResponse;
    }

    @Override
    public String toString() {
        return "MethodInvocationResult{" +
                "responseObject=" + responseObject +
                ", isJavaResponse=" + isJavaResponse +
                '}';
    }

    public T getResponseObject() {
        return responseObject;
    }

    public boolean isJavaResponse() {
        return isJavaResponse;
    }
}
